'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _JSBridge = require('./JSBridge.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

//支付审批密码器操作类
var SSPayApi = function () {
    function SSPayApi() {
        (0, _classCallCheck3['default'])(this, SSPayApi);
    }

    (0, _createClass3['default'])(SSPayApi, null, [{
        key: 'calculatePassword',

        //描述：计算支付密码
        //场景：票据计算密码
        //对应SnJSBridge接口：CalculatePassword
        //@param Object
        value: function calculatePassword(signData) {
            return (0, _JSBridge.callHandler)('CalculatePasswordFunction', signData);
        }
        //描述：检测密码器是否插入
        //场景：连接密码器使用
        //对应SnJSBridge接口：TPayGetDssStatusFunction
        //@param Object 
        //return “0” 密码器已经插入    “-1” 密码器未插入

    }, {
        key: 'getDssStatus',
        value: function getDssStatus() {
            return (0, _JSBridge.callHandler)('TPayGetDssStatusFunction', '');
        }
        //描述：初始化密码器
        //场景：连接密码器使用
        //对应SnJSBridge接口：ConnectDssBb
        //return mCode

    }, {
        key: 'initDss',
        value: function initDss(dev) {
            return (0, _JSBridge.callHandler)('ConnectDssBbFunction', dev);
        }
        //描述：登录密码器
        //场景：离线密码器使用
        //对应SnJSBridge接口：LoginDss
        //@param Object

    }, {
        key: 'loginDss',
        value: function loginDss(codeUserData) {
            return (0, _JSBridge.callHandler)('LoginDssFunction', codeUserData);
        }
        //描述：验证pin码
        //场景：线上业务使用，如转账等
        //对应SnJSBridge接口：LoginCA

    }, {
        key: 'loginCA',
        value: function loginCA() {
            return (0, _JSBridge.callHandler)('TPayCheckPinFunction', '');
        }
        //描述：修改密码器口令
        //对应SnJSBridge接口：ModifyDssPswFunction
        //@param Object

    }, {
        key: 'modifyDssPsw',
        value: function modifyDssPsw(dssPswData) {
            return (0, _JSBridge.callHandler)('ModifyDssPswFunction', dssPswData);
        }
        //描述：获取密码器付方账号列表
        //场景：离线密码器、同步账号使用
        //对应SnJSBridge接口：GetDssAccountList

    }, {
        key: 'getDssAccountList',
        value: function getDssAccountList() {
            return (0, _JSBridge.callHandler)('GetDssAccountListFunction', '');
        }
        //描述：添加密码器持有人
        //场景：离线密码器使用
        //对应SnJSBridge接口：SetDssUserFun
        //@param Object

    }, {
        key: 'addDssUser',
        value: function addDssUser(setUserData) {
            return (0, _JSBridge.callHandler)('SetDssUserFunction', setUserData);
        }
        //描述：用于转账验证服务器签名，并且生成签名接口
        //场景：支付时签名、验签套装接口
        //对应SnJSBridge接口：TPayVerifyAndXmlSignFunction

    }, {
        key: 'signAndCheck',
        value: function signAndCheck(data) {
            return (0, _JSBridge.callHandler)('TPayVerifyAndXmlSignFunction', data);
        }
    }]);
    return SSPayApi;
}();

exports['default'] = SSPayApi;
module.exports = exports.default;